/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
/**
 * 
 */
package it.laitspa.cpf.model.sogei.documentoallegato;

import it.laitspa.cpf.model.Entity;
import it.laitspa.cpf.model.sogei.fattura.FatturaSogei;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * @author andrea
 * 
 */
@javax.persistence.Entity
@Table(name = "TAB_SAN_CPF_SOGEI_ALLEGATO")
public class AllegatoDocumentoSogei
  extends Entity
{
  /**
   * 
   */
  private static final long               serialVersionUID = 1L;

  @Id
  @GeneratedValue(generator = "sdi_docall_gen", strategy = GenerationType.SEQUENCE)
  @SequenceGenerator(name = "sdi_docall_gen", sequenceName = "SEQ_SAN_CPF_SOGEI_ALLEGATO",
      allocationSize = 1)
  @Column(name = "CODI_ALLE", nullable = false)
  private Integer                         codice;

  @OneToOne(targetEntity = ContenutoAllegatoDocumentoSogei.class, fetch = FetchType.LAZY)
  @JoinColumn(name = "CODI_ALLE_OBJT", nullable = false)
  private ContenutoAllegatoDocumentoSogei contenuto;

  @ManyToOne(targetEntity = FatturaSogei.class, fetch = FetchType.LAZY)
  @JoinColumn(name = "CODI_FATT_SOGE", nullable = false)
  private FatturaSogei                    fattura;

  @Column(name = "DESC_NOME", length = 60, nullable = false)
  private String                          nomeAllegato;

  @Column(name = "DESC_ALGO", length = 10)
  private String                          algoritmoCompressione;

  @Column(name = "DESC_FORM", length = 10)
  private String                          formatoAllegato;

  @Column(name = "DESC_ALLE", length = 100)
  private String                          descrizioneAllegato;

  public Integer getCodice()
  {
    return codice;
  }

  public void setCodice(Integer codice)
  {
    this.codice = codice;
  }

  public ContenutoAllegatoDocumentoSogei getContenuto()
  {
    return contenuto;
  }

  public void setContenuto(ContenutoAllegatoDocumentoSogei contenuto)
  {
    this.contenuto = contenuto;
  }

  public FatturaSogei getFattura()
  {
    return fattura;
  }

  public void setFattura(FatturaSogei fattura)
  {
    this.fattura = fattura;
  }

  public String getNomeAllegato()
  {
    return nomeAllegato;
  }

  public void setNomeAllegato(String nomeAllegato)
  {
    this.nomeAllegato = nomeAllegato;
  }

  public String getAlgoritmoCompressione()
  {
    return algoritmoCompressione;
  }

  public void setAlgoritmoCompressione(String algoritmoCompressione)
  {
    this.algoritmoCompressione = algoritmoCompressione;
  }

  public String getFormatoAllegato()
  {
    return formatoAllegato;
  }

  public void setFormatoAllegato(String formatoAllegato)
  {
    this.formatoAllegato = formatoAllegato;
  }

  public String getDescrizioneAllegato()
  {
    return descrizioneAllegato;
  }

  public void setDescrizioneAllegato(String descrizioneAllegato)
  {
    this.descrizioneAllegato = descrizioneAllegato;
  }

}
